Subject: bug#63653: closed (Re: bug#63653: 29.0.91; [PATCH] More fix for loading SQLite extensions)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 23 May 2023 14:55:02 +0000

Your bug report

#63653: 29.0.91; [PATCH] More fix for loading SQLite extensions

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63653: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63653
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#63653: 29.0.91; [PATCH] More fix for loading SQLite extensions
From: Eli Zaretskii <[email-masked]>
To: lin Sun <[email-masked]>
Cc: [email-masked]
Date: Tue, 23 May 2023 17:54:32 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: lin Sun <[email-masked]>
> Date: Tue, 23 May 2023 13:40:39 +0000
> Cc: [email-masked]
> 
> And now I want add one line to support loading extensions with *.dylib,
> Please help review the patch . Thanks

Thanks, I installed something similar.

Subject: 29.0.91; [PATCH] More fix for loading SQLite extensions
From: lin Sun <[email-masked]>
To: "[email-masked]" <[email-masked]>, Eli Zaretskii <[email-masked]>
Date: Tue, 23 May 2023 04:28:34 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Eli,

There is a build error after I pull the last emacs-29 branch, tried
build on CentOS 7.
> use of undeclared identifier emacs 'SQLITE_DBCONFIG_ENABLE_LOAD_EXTENSION'
The macro SQLITE_DBCONFIG_ENABLE_LOAD_EXTENSION is defined since
SQLite 3.13 (2016 May).
CentOS 7 will end by 2024 June 30, so this patch is still useful.

Best Regards
Lin